Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0013017
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2010-04-16 09:362010-06-15 14:02
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionbb7a22ca6172
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0013017: Incorrect error message installing commercial modules in expired instances

DescriptionIn an expired Professional Subscription Instance, when trying to install commercial modules, it is not allowed but the message that appears in the popup does not explain anything about the license is expired.
Steps To Reproduce-Register the instance with an expired license
-Try to install a commercial module
TagsNo tags attached.
Attached Filespng file icon expired_license_install_commercial_module_wrong_errortext.png [^] (76,151 bytes) 2010-04-16 09:37

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0026622)
hgbot (developer)
2010-04-23 13:23

Repository: erp/devel/pi
Changeset: 15877f7f74517c48d6ad778fe880831dd06a7678
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 23 13:22:53 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/15877f7f74517c48d6ad778fe880831dd06a7678 [^]

fixed bug 13017: Incorrect error message installing commercial modules in expired instances

---
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0027283)
hudsonbot (developer)
2010-05-14 15:27

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/15877f7f7451 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/36f76c8d7193 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17198.obx [^]
(0027405)
iperdomo (developer)
2010-05-18 10:51

Tested on PI @ rev eb07a438c6dc
(0027976)
hgbot (developer)
2010-06-04 14:45

Repository: erp/devel/pi
Changeset: bb7a22ca6172013f10a757271e854fe01b7081fb
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 23 13:22:53 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bb7a22ca6172013f10a757271e854fe01b7081fb [^]

fixed bug 13017: Incorrect error message installing commercial modules in expired instances

---
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0028098)
hudsonbot (developer)
2010-06-07 21:21

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/bb7a22ca6172 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8b43a1f2fff4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17563.obx [^]
(0028140)
hudsonbot (developer)
2010-06-07 23:43

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/bb7a22ca6172 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8b43a1f2fff4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17563.obx [^]

- Issue History
Date Modified Username Field Change
2010-04-16 09:36 alostale New Issue
2010-04-16 09:36 alostale Assigned To => alostale
2010-04-16 09:37 alostale File Added: expired_license_install_commercial_module_wrong_errortext.png
2010-04-19 08:30 alostale Status new => scheduled
2010-04-19 08:30 alostale fix_in_branch => pi
2010-04-23 13:23 hgbot Checkin
2010-04-23 13:23 hgbot Note Added: 0026622
2010-04-23 13:23 hgbot Status scheduled => resolved
2010-04-23 13:23 hgbot Resolution open => fixed
2010-04-23 13:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/15877f7f74517c48d6ad778fe880831dd06a7678 [^]
2010-05-14 15:27 hudsonbot Checkin
2010-05-14 15:27 hudsonbot Note Added: 0027283
2010-05-18 10:51 iperdomo Note Added: 0027405
2010-05-18 10:51 iperdomo Status resolved => closed
2010-05-19 00:00 anonymous sf_bug_id 0 => 3003678
2010-06-04 14:45 hgbot Checkin
2010-06-04 14:45 hgbot Note Added: 0027976
2010-06-04 14:45 hgbot Status closed => resolved
2010-06-04 14:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/15877f7f74517c48d6ad778fe880831dd06a7678 [^] => http://code.openbravo.com/erp/devel/pi/rev/bb7a22ca6172013f10a757271e854fe01b7081fb [^]
2010-06-07 21:21 hudsonbot Checkin
2010-06-07 21:21 hudsonbot Note Added: 0028098
2010-06-07 23:43 hudsonbot Checkin
2010-06-07 23:43 hudsonbot Note Added: 0028140
2010-06-15 14:02 jpabloae Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker